<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xsi:schemaLocation="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm monitor.xsd" displayName="Mortgage Lending BAM" id="MortgageLendingBAM" timestamp="2007-05-03T10:08:00" xmlns:mor="http://MortgageLendingBAMModel">
    <monitorDetailsModel displayName="MortgageLending" id="MDM">
        <monitoringContext displayName="Mortgage Lending BAM MC" id="Mortgage_Lending_BAM_MC">
            <trigger displayName="Loan Setup Start" id="Loan_Setup_Start">
                <onEvent ref="Loan_Application_Upload"/>
            </trigger>
            <trigger displayName="Closing Start" id="Closing_Start">
                <onEvent ref="Processor_Validator_Complete"/>
                <onEvent ref="Underwriting_Complete"/>
            </trigger>
            <trigger displayName="Lending Process Duration Recorded" id="Lending_Process_Duration_Recorded" terminateContext="true">
                <onEvent ref="Shipping_Complete"/>
                <gatingCondition expression="Lending_Process_Duration_Days &gt; 0"/>
            </trigger>
            <trigger displayName="Processor Validator and Underwriting Start" id="Processor_Validator_Underwriting_Start">
                <onEvent ref="Automated_Loan_Setup_Complete"/>
            </trigger>
            <trigger displayName="Funding Start" id="Funding_Start">
                <onEvent ref="Closing_Complete"/>
            </trigger>
            <trigger displayName="Post Closing Start" id="Post_Closing_Start">
                <onEvent ref="Funding_Complete"/>
            </trigger>
            <trigger displayName="Shipping Start" id="Shipping_Start">
                <onEvent ref="Post_Closing_Complete"/>
            </trigger>
            <trigger displayName="Lending Process Start" id="Lending_Process_Start">
                <description/>
                <onEvent ref="Mortgage_Lending_Process_Start"/>
            </trigger>
            <trigger displayName="Calculate Ready For Closing" id="Calculate_Ready_For_Closing" isRepeatable="true">
                <onValueChange ref="aux_Underwriting_Complete_Time"/>
                <onValueChange ref="aux_Processor_Validator_Complete_Time"/>
                <gatingCondition expression="exists(aux_Underwriting_Complete_Time) and exists(aux_Processor_Validator_Complete_Time)"/>
            </trigger>
            <trigger displayName="Calculate Upload to Ready To Close" id="Calculate_Upload_to_Ready_To_Close" isRepeatable="true">
                <onValueChange ref="aux_Ready_for_Closing_Start_Time"/>
                <onValueChange ref="aux_Application_Upload_Start_Time"/>
                <gatingCondition expression="exists(aux_Application_Upload_Start_Time) and exists(aux_Ready_for_Closing_Start_Time)"/>
            </trigger>
            <trigger displayName="Calculate Application to Ready to Close" id="Calculate_Application_to_Ready_to_Close" isRepeatable="true">
                <onValueChange ref="aux_Application_Start_Time"/>
                <onValueChange ref="aux_Ready_for_Closing_Start_Time"/>
                <gatingCondition expression="exists(aux_Ready_for_Closing_Start_Time) and exists(aux_Application_Start_Time)"/>
            </trigger>
            <inboundEvent displayName="Automated Loan Setup Complete" id="Automated_Loan_Setup_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <description/>
                <eventPart displayName="automatedLoanSetupCompletePart" id="automatedLoanSetupCompletePart" path="cbe:CommonBaseEvent/mor:automatedLoanSetupComplete" type="mor:automatedLoanSetupComplete"></eventPart>
                <correlationPredicate expression="MortgageLending_Key=Automated_Loan_Setup_Complete/automatedLoanSetupCompletePart/mor:loanNumber"/>
                <filter expression="Automated_Loan_Setup_Complete/automatedLoanSetupCompletePart/@mor:eventName = 'automatedLoanSetupComplete'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Processor Validator Complete" id="Processor_Validator_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="processorValidatorCompletePart" id="processorValidatorCompletePart" path="cbe:CommonBaseEvent/mor:processorValidatorComplete" type="mor:processorValidatorComplete"></eventPart>
                <correlationPredicate expression="MortgageLending_Key=Processor_Validator_Complete/processorValidatorCompletePart/mor:loanNumber"/>
                <filter expression="Processor_Validator_Complete/processorValidatorCompletePart/@mor:eventName = 'processorValidatorComplete'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Underwriting Complete" id="Underwriting_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="underwritingCompletePart" id="underwritingCompletePart" path="cbe:CommonBaseEvent/mor:underwritingComplete" type="mor:underwritingComplete"></eventPart>
                <correlationPredicate expression="MortgageLending_Key = Underwriting_Complete/underwritingCompletePart/mor:loanNumber"/>
                <filter expression="Underwriting_Complete/underwritingCompletePart/@mor:eventName = 'underwritingComplete'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Closing Complete" id="Closing_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="closingCompletePart" id="closingCompletePart" path="cbe:CommonBaseEvent/mor:closingComplete" type="mor:closingComplete"></eventPart>
                <correlationPredicate expression="MortgageLending_Key=Closing_Complete/closingCompletePart/mor:loanNumber"/>
                <filter expression="Closing_Complete/closingCompletePart/@mor:eventName = 'closingComplete'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Funding Complete" id="Funding_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="fundingCompletePart" id="fundingCompletePart" path="cbe:CommonBaseEvent/mor:fundingComplete" type="mor:fundingComplete"></eventPart>
                <correlationPredicate expression="MortgageLending_Key=Funding_Complete/fundingCompletePart/mor:loanNumber"/>
                <filter expression="Funding_Complete/fundingCompletePart/@mor:eventName = 'fundingComplete'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Post Closing Complete" id="Post_Closing_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="postClosingCompletePart" id="postClosingCompletePart" path="cbe:CommonBaseEvent/mor:postClosingComplete" type="mor:postClosingComplete"></eventPart>
                <correlationPredicate expression="MortgageLending_Key=Post_Closing_Complete/postClosingCompletePart/mor:loanNumber"/>
                <filter expression="Post_Closing_Complete/postClosingCompletePart/@mor:eventName = 'postClosingComplete'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Shipping Complete" id="Shipping_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="shippingCompletePart" id="shippingCompletePart" path="cbe:CommonBaseEvent/mor:shippingComplete" type="mor:shippingComplete"></eventPart>
                <correlationPredicate expression="MortgageLending_Key = Shipping_Complete/shippingCompletePart/mor:loanNumber"/>
                <filter expression="Shipping_Complete/shippingCompletePart/@mor:eventName = 'shippingComplete'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Mortgage Lending Process Start" id="Mortgage_Lending_Process_Start" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="mortgageLendingProcessStartPart" id="mortgageLendingProcessStartPart" path="cbe:CommonBaseEvent/mor:mortgageLendingProcessStart" type="mor:mortgageLendingProcessStart"></eventPart>
                <correlationPredicate expression="MortgageLending_Key=Mortgage_Lending_Process_Start/mortgageLendingProcessStartPart/mor:loanNumber"/>
                <filter expression="Mortgage_Lending_Process_Start/mortgageLendingProcessStartPart/@mor:eventName = 'mortgageLendingProcessStart'"></filter>
            </inboundEvent>
            <inboundEvent displayName="Loan Application Upload" id="Loan_Application_Upload" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="loanApplicationUploadPart" id="loanApplicationUploadPart" path="cbe:CommonBaseEvent/mor:loanApplicationUpload" type="mor:loanApplicationUpload"></eventPart>
                <correlationPredicate expression="MortgageLending_Key = Loan_Application_Upload/loanApplicationUploadPart/mor:loanNumber"/>
                <filter expression="Loan_Application_Upload/loanApplicationUploadPart/@mor:eventName = 'loanApplicationUpload'"></filter>
            </inboundEvent>
            <metric displayName="MortgageLending Key" id="MortgageLending_Key" type="xsd:string" isPartOfKey="true">
                <map>
                    <outputValue>
                        <singleValue expression="Mortgage_Lending_Process_Start/mortgageLendingProcessStartPart/mor:loanNumber"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Application Start Time" id="aux_Application_Start_Time" type="xsd:dateTime">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="Mortgage_Lending_Process_Start/mortgageLendingProcessStartPart/mor:dateStarted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Lending Process Duration Days" id="Lending_Process_Duration_Days" type="xsd:decimal">
                <map>
                    <trigger ref="Lending_Process_Duration_Recorded"/>
                    <outputValue>
                        <singleValue expression="((Shipping_Complete/shippingCompletePart/mor:dateCompleted - aux_Application_Start_Time) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="1"/>
                </defaultValue>
            </metric>
            <metric displayName="Application Loan Amount" id="Application_Loan_Amount" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="decimal(Loan_Application_Upload/loanApplicationUploadPart/mor:loanAmount)"/>
                    </outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="0.00"/>
                </defaultValue>
            </metric>
            <metric displayName="Loan Officer" id="Loan_Officer" type="xsd:string" valueRequired="true">
                <map>
                    <outputValue>
                        <singleValue expression="Mortgage_Lending_Process_Start/mortgageLendingProcessStartPart/mor:loanOfficer"/>
                    </outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="string(&quot;undefined&quot;)"/>
                </defaultValue>
            </metric>
            <metric displayName="Automated Loan Setup Duration Days" id="Automated_Loan_Setup_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Automated_Loan_Setup_Complete/automatedLoanSetupCompletePart/mor:dateCompleted -  Automated_Loan_Setup_Complete/automatedLoanSetupCompletePart/mor:dateStarted) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Loan Number" id="Loan_Number" type="xsd:string">
                <map>
                    <outputValue>
                        <singleValue expression="Mortgage_Lending_Process_Start/mortgageLendingProcessStartPart/mor:loanNumber"/>
                    </outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="string(&quot;undefined&quot;)"/>
                </defaultValue>
            </metric>
            <metric displayName="Closing Duration Days" id="Closing_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Closing_Complete/closingCompletePart/mor:dateCompleted - Closing_Complete/closingCompletePart/mor:dateStarted) div xs:dayTimeDuration('PT1S'))  div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Processor Validator Duration Days" id="Processor_Validator_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Processor_Validator_Complete/processorValidatorCompletePart/mor:dateCompleted - Processor_Validator_Complete/processorValidatorCompletePart/mor:dateStarted) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Underwriting Duration Days" id="Underwriting_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Underwriting_Complete/underwritingCompletePart/mor:dateCompleted - Underwriting_Complete/underwritingCompletePart/mor:dateStarted) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Funding Duration Days" id="Funding_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="(( Funding_Complete/fundingCompletePart/mor:dateCompleted - Funding_Complete/fundingCompletePart/mor:dateStarted) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Post Closing Duration Days" id="Post_Closing_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Post_Closing_Complete/postClosingCompletePart/mor:dateCompleted - Post_Closing_Complete/postClosingCompletePart/mor:dateStarted) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Shipping Duration Days" id="Shipping_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Shipping_Complete/shippingCompletePart/mor:dateCompleted - Shipping_Complete/shippingCompletePart/mor:dateStarted) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Current Lending Process State" id="Current_Lending_Process_State" type="xsd:string" valueRequired="true">
                <map>
                    <trigger ref="Loan_Setup_Start"/>
                    <outputValue>
                        <singleValue expression="&quot;Loan Setup&quot;"/>
                    </outputValue>
                </map>
                <map>
                    <trigger ref="Processor_Validator_Underwriting_Start"/>
                    <outputValue>
                        <singleValue expression="&quot;Processor Validator and Underwriting&quot;"/>
                    </outputValue>
                </map>
                <map>
                    <trigger ref="Closing_Start"/>
                    <outputValue>
                        <singleValue expression="&quot;Closing&quot;"/>
                    </outputValue>
                </map>
                <map>
                    <trigger ref="Funding_Start"/>
                    <outputValue>
                        <singleValue expression="&quot;Funding&quot;"/>
                    </outputValue>
                </map>
                <map>
                    <trigger ref="Post_Closing_Start"/>
                    <outputValue>
                        <singleValue expression="&quot;Post-Closing&quot;"/>
                    </outputValue>
                </map>
                <map>
                    <trigger ref="Shipping_Start"/>
                    <outputValue>
                        <singleValue expression="&quot;Shipping&quot;"/>
                    </outputValue>
                </map>
                <map>
                    <trigger ref="Lending_Process_Duration_Recorded"/>
                    <outputValue>
                        <singleValue expression="&quot;Lending Process Completed&quot;"/>
                    </outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="&quot;Mortgage Lending Process Started&quot;"/>
                </defaultValue>
            </metric>
            <metric displayName="Date Started" id="Date_Started" type="xsd:date" valueRequired="true">
                <description/>
                <map>
                    <trigger ref="Lending_Process_Start"/>
                    <outputValue>
                        <singleValue expression="date(Mortgage_Lending_Process_Start/mortgageLendingProcessStartPart/mor:dateStarted)"/>
                    </outputValue>
                </map>
                <defaultValue>
                	<singleValue expression="date('2007-05-05-05:00')"></singleValue>
                </defaultValue>
            </metric>
            <metric displayName="Completed Loan Dollars per Processing Day" id="Completed_Loan_Dollars_per_Processing_Day" type="xsd:decimal">
                <map>
                    <trigger ref="Lending_Process_Duration_Recorded"/>
                    <outputValue>
                        <singleValue expression="decimal(Completed_Loan_Amount div Lending_Process_Duration_Days)"/>
                    </outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="0"/>
                </defaultValue>
            </metric>
            <metric displayName="Completed Loan Amount" id="Completed_Loan_Amount" type="xsd:decimal">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="Shipping_Complete/shippingCompletePart/mor:loanAmount"/>
                    </outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="0"/>
                </defaultValue>
            </metric>
            <metric displayName="Application to Upload Duration Hours" id="Application_to_Upload_Duration" type="xsd:decimal">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="((Loan_Application_Upload/loanApplicationUploadPart/mor:dateStarted - aux_Application_Start_Time )  div xs:dayTimeDuration('PT1S')) div 3600"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Application Upload Start Time" id="aux_Application_Upload_Start_Time" type="xsd:dateTime">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="Loan_Application_Upload/loanApplicationUploadPart/mor:dateStarted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Upload to Manual Underwriting Hours" id="Upload_to_Manual_Underwriting_Hours" type="xsd:decimal">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="((Underwriting_Complete/underwritingCompletePart/mor:dateStarted - aux_Application_Upload_Start_Time)  div xs:dayTimeDuration('PT1S')) div 3600"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Upload to In Process Duration Hours" id="Upload_to_In_Process_Duration_Hours" type="xsd:decimal">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="((Processor_Validator_Complete/processorValidatorCompletePart/mor:dateStarted - aux_Application_Upload_Start_Time) div xs:dayTimeDuration('PT1S')) div 3600"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="In Process to Ready to Close Duration Days" id="In_Process_to_Ready_to_Close_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Closing_Complete/closingCompletePart/mor:dateStarted - aux_In_Process_Start_Time) div xs:dayTimeDuration('PT1S'))  div 86400 "/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux In Process Start Time" id="aux_In_Process_Start_Time" type="xsd:dateTime">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="Processor_Validator_Complete/processorValidatorCompletePart/mor:dateStarted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Manual Underwriting to Ready to Close Days" id="Manual_Underwriting_to_Ready_to_Close_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Closing_Complete/closingCompletePart/mor:dateStarted - aux_Manual_Underwriting_Start_Time) div xs:dayTimeDuration('PT1S'))  div 86400 "/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Manual Underwriting Start Time" id="aux_Manual_Underwriting_Start_Time" type="xsd:dateTime">
                <map>
                    <outputValue>
                        <singleValue expression="Underwriting_Complete/underwritingCompletePart/mor:dateStarted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Ready for Closing Start Time" id="aux_Ready_for_Closing_Start_Time" type="xsd:dateTime">
                <map>
                    <trigger ref="Calculate_Ready_For_Closing"/>
                    <outputValue>
                        <singleValue expression="if (aux_Processor_Validator_Complete_Time gt aux_Underwriting_Complete_Time) then aux_Processor_Validator_Complete_Time else aux_Underwriting_Complete_Time"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Ready to Close to Closed Duration Days" id="Ready_to_Close_to_Closed_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Closing_Complete/closingCompletePart/mor:dateCompleted - aux_Ready_for_Closing_Start_Time) div xs:dayTimeDuration('PT1S'))  div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Application to Ready to Close Duration Days" id="Application_to_Ready_to_Close_Duration_Days" type="xsd:decimal">
                <description/>
                <map>
                    <trigger ref="Calculate_Application_to_Ready_to_Close"/>
                    <outputValue>
                        <singleValue expression="((aux_Ready_for_Closing_Start_Time - aux_Application_Start_Time) div xs:dayTimeDuration('PT1S'))  div 86400 "/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Upload to Ready to Close Duration Days" id="Upload_to_Ready_to_Close_Duration_Days" type="xsd:decimal">
                <map>
                    <trigger ref="Calculate_Upload_to_Ready_To_Close"/>
                    <outputValue>
                        <singleValue expression="((aux_Ready_for_Closing_Start_Time - aux_Application_Upload_Start_Time)  div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Upload to Funded Duration Days" id="Upload_to_Funded_Duration_Days" type="xsd:decimal">
                <map>
                    <outputValue>
                        <singleValue expression="((Funding_Complete/fundingCompletePart/mor:dateCompleted - aux_Application_Upload_Start_Time) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Application to Funded Duration Days" id="Application_to_Funded_Duration_Days" type="xsd:decimal">
                <description/>
                <map>
                    <outputValue>
                        <singleValue expression="((Funding_Complete/fundingCompletePart/mor:dateCompleted - aux_Application_Start_Time) div xs:dayTimeDuration('PT1S')) div 86400"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Underwriting Complete Time" id="aux_Underwriting_Complete_Time" type="xsd:dateTime">
                <map>
                    <outputValue>
                        <singleValue expression="Underwriting_Complete/underwritingCompletePart/mor:dateCompleted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Processor Validator Complete Time" id="aux_Processor_Validator_Complete_Time" type="xsd:dateTime">
                <map>
                    <outputValue>
                        <singleValue expression="Processor_Validator_Complete/processorValidatorCompletePart/mor:dateCompleted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Automated Loan Setup Completed Time" id="aux_Automated_Loan_Setup_Completed_Time" type="xsd:dateTime">
                <map>
                    <outputValue>
                        <singleValue expression="Automated_Loan_Setup_Complete/automatedLoanSetupCompletePart/mor:dateCompleted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Ready for Funding Start Time" id="aux_Ready_for_Funding_Start_Time" type="xsd:dateTime">
                <map>
                    <outputValue>
                        <singleValue expression="Closing_Complete/closingCompletePart/mor:dateCompleted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Ready for Post Closing Start Time" id="aux_Ready_for_Post_Closing_Start_Time" type="xsd:dateTime">
                <map>
                    <outputValue>
                        <singleValue expression="Funding_Complete/fundingCompletePart/mor:dateCompleted"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="aux Ready for Shipping Start Time" id="aux_Ready_for_Shipping_Start_Time" type="xsd:dateTime">
                <map>
                    <outputValue>
                        <singleValue expression="Post_Closing_Complete/postClosingCompletePart/mor:dateCompleted"/>
                    </outputValue>
                </map>
            </metric>
            <monitoringContext displayName="Automated Loan Setup BAM MC" id="Automated_Loan_Setup_BAM_MC">
                <trigger displayName="Invalid Loan Application" id="Invalid_Loan_Application" isRepeatable="true">
                    <onEvent ref="Loan_Application_Failure"/>
                    <gatingCondition expression="../Current_Lending_Process_State = &quot;Loan Setup&quot;"/>
                </trigger>
                <trigger displayName="Print 72 Hour Documents Duration Exceeded" id="Print_72_Hour_Documents_Duration_Exceeded" isRepeatable="true">
                    <onEvent ref="Print_72_Hour_Documents"/>
                    <gatingCondition expression="Application_to_Print_72_Hour_Documents_Completed_Hours gt 72"/>
                </trigger>
                <trigger displayName="Fee Compliance Variation Exceeded" id="Fee_Compliance_Variation_Exceeded" isRepeatable="true">
                    <onEvent ref="Fee_Variation_Verification"/>
                    <gatingCondition expression="Fee_Compliance gt 104 or Fee_Compliance lt 96"/>
                </trigger>
                <trigger displayName="Print 72 Hour Documents Completed" id="Print_72_Hour_Documents_Completed">
                    <onEvent ref="Print_72_Hour_Documents"/>
                    <gatingCondition expression="Application_to_Print_72_Hour_Documents_Completed_Hours le 72"/>
                </trigger>
                <trigger displayName="NTB Success" id="NTB_Success" isRepeatable="true">
                    <description/>
                    <onEvent ref="NTB_Status"/>
                    <gatingCondition expression="NTB_Status/NTBStatusPart/mor:NTBStatus=true()"/>
                </trigger>
                <trigger displayName="NTB Failure" id="NTB_Failure" isRepeatable="true">
                    <onEvent ref="NTB_Status"/>
                    <gatingCondition expression="NTB_Status/NTBStatusPart/mor:NTBStatus=false()"/>
                </trigger>
                <trigger displayName="Automated Loan Setup Context Completed" id="Automated_Loan_Setup_Context_Completed" terminateContext="true">
                    <onEvent ref="Fee_Variation_Verification"/>
                    <gatingCondition expression="Fee_Compliance le 104 and Fee_Compliance ge 96"/>
                </trigger>
                <inboundEvent displayName="Loan Application Upload" id="Loan_Application_Upload" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                    <description/>
                    <eventPart displayName="loanApplicationUploadPart" id="loanApplicationUploadPart" path="cbe:CommonBaseEvent/mor:loanApplicationUpload" type="mor:loanApplicationUpload"></eventPart>
                    <correlationPredicate expression="Automated_Loan_Setup_Key = Loan_Application_Upload/loanApplicationUploadPart/mor:loanNumber   and ../MortgageLending_Key = Loan_Application_Upload/loanApplicationUploadPart/mor:loanNumber"/>
                    <filter expression="Loan_Application_Upload/loanApplicationUploadPart/@mor:eventName = 'loanApplicationUpload'"></filter>
                </inboundEvent>
                <inboundEvent displayName="Loan Application Failure" id="Loan_Application_Failure" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="loanApplicationFailurePart" id="loanApplicationFailurePart" path="cbe:CommonBaseEvent/mor:loanApplicationFailure" type="mor:loanApplicationFailure"></eventPart>
                    <correlationPredicate expression='Automated_Loan_Setup_Key = Loan_Application_Failure/loanApplicationFailurePart/mor:loanNumber  and ../MortgageLending_Key = Loan_Application_Failure/loanApplicationFailurePart/mor:loanNumber and ../Current_Lending_Process_State = "Loan Setup"'/>
                    <filter expression="Loan_Application_Failure/loanApplicationFailurePart/@mor:eventName = 'loanApplicationFailure'"></filter>
                </inboundEvent>
                <inboundEvent displayName="Print 72 Hour Documents" id="Print_72_Hour_Documents" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="print72HourDocsPart" id="print72HourDocsPart" path="cbe:CommonBaseEvent/mor:print72HourDocs" type="mor:print72HourDocs"></eventPart>
                    <correlationPredicate expression='Automated_Loan_Setup_Key = Print_72_Hour_Documents/print72HourDocsPart/mor:loanNumber  and ../MortgageLending_Key = Print_72_Hour_Documents/print72HourDocsPart/mor:loanNumber  and ../Current_Lending_Process_State = "Loan Setup"'/>
                    <filter expression="Print_72_Hour_Documents/print72HourDocsPart/@mor:eventName = 'print72HourDocs'"></filter>
                </inboundEvent>
                <inboundEvent displayName="Fee Variation Verification" id="Fee_Variation_Verification" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="feeVariationVerificationPart" id="feeVariationVerificationPart" path="cbe:CommonBaseEvent/mor:feeVariationVerification" type="mor:feeVariationVerification"></eventPart>
                    <correlationPredicate expression='Automated_Loan_Setup_Key = Fee_Variation_Verification/feeVariationVerificationPart/mor:loanNumber  and ../MortgageLending_Key = Fee_Variation_Verification/feeVariationVerificationPart/mor:loanNumber  and ../Current_Lending_Process_State = "Loan Setup"'></correlationPredicate>
                    <filter expression="Fee_Variation_Verification/feeVariationVerificationPart/@mor:eventName = 'feeVariationVerification'"></filter>
                </inboundEvent>
                <inboundEvent displayName="Loan Application Complete" id="Loan_Application_Complete" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="loanApplicationCompletePart" id="loanApplicationCompletePart" path="cbe:CommonBaseEvent/mor:loanApplicationComplete" type="mor:loanApplicationComplete"></eventPart>
                    <correlationPredicate expression="Automated_Loan_Setup_Key = Loan_Application_Complete/loanApplicationCompletePart/mor:loanNumber  and ../MortgageLending_Key = Loan_Application_Complete/loanApplicationCompletePart/mor:loanNumber"/>
                    <filter expression="Loan_Application_Complete/loanApplicationCompletePart/@mor:eventName = 'loanApplicationComplete'"></filter>
                </inboundEvent>
                <inboundEvent displayName="NTB Status" id="NTB_Status" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="NTBStatusPart" id="NTBStatusPart" path="cbe:CommonBaseEvent/mor:ntbStatus" type="mor:ntbStatus"></eventPart>
                    <correlationPredicate expression='Automated_Loan_Setup_Key = NTB_Status/NTBStatusPart/mor:loanNumber   and ../MortgageLending_Key = NTB_Status/NTBStatusPart/mor:loanNumber   and ../Current_Lending_Process_State = "Loan Setup"'/>
                    <filter expression="NTB_Status/NTBStatusPart/@mor:eventName = 'NTBStatus'"></filter>
                </inboundEvent>
                <outboundEvent displayName="Fee Compliance Alert" id="Fee_Compliance_Alert" rootElement="cbe:CommonBaseEvent">
                    <description/>
                    <eventPart displayName="feeComplianceAlertPart" id="feeComplianceAlertPart" path="cbe:CommonBaseEvent/mor:feeComplianceAlert" type="mor:feeComplianceAlert"></eventPart>
                    <map>
                        <trigger ref="Fee_Compliance_Variation_Exceeded"/>
                        <outputValue>
                            <assignments>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/mor:POSFees" rightValue="Fee_Variation_Verification/feeVariationVerificationPart/mor:POSFees"/>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/mor:actualFees" rightValue="Fee_Variation_Verification/feeVariationVerificationPart/mor:actualFees"/>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/mor:dateCompleted" rightValue="Fee_Variation_Verification/feeVariationVerificationPart/mor:dateCompleted"/>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/mor:dateStarted" rightValue="Fee_Variation_Verification/feeVariationVerificationPart/mor:dateStarted"/>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/mor:loanNumber" rightValue="Fee_Variation_Verification/feeVariationVerificationPart/mor:loanNumber"/>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/mor:loanOfficer" rightValue="Fee_Variation_Verification/feeVariationVerificationPart/mor:loanOfficer"/>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/mor:percentageOfPOSEstimate" rightValue="Fee_Compliance"/>
                                <assignment leftValue="Fee_Compliance_Alert/feeComplianceAlertPart/@mor:eventName" rightValue="Fee_Variation_Verification/feeVariationVerificationPart/@mor:eventName"></assignment>
                            </assignments>
                        </outputValue>
                    </map>
                </outboundEvent>
                <outboundEvent displayName="Invalid Loan Application Alert" id="Invalid_Loan_Application_Alert" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="invalidApplicationAlertPart" id="invalidApplicationAlertPart" path="cbe:CommonBaseEvent/mor:invalidApplicationAlert" type="mor:invalidApplicationAlert"></eventPart>
                    <map>
                        <trigger ref="Invalid_Loan_Application"/>
                        <outputValue>
                            <assignments>
                                <assignment leftValue="Invalid_Loan_Application_Alert/invalidApplicationAlertPart/mor:dateCompleted" rightValue="Loan_Application_Failure/loanApplicationFailurePart/mor:dateCompleted"/>
                                <assignment leftValue="Invalid_Loan_Application_Alert/invalidApplicationAlertPart/mor:dateStarted" rightValue="Loan_Application_Failure/loanApplicationFailurePart/mor:dateStarted"/>
                                <assignment leftValue="Invalid_Loan_Application_Alert/invalidApplicationAlertPart/mor:loanNumber" rightValue="Loan_Application_Failure/loanApplicationFailurePart/mor:loanNumber"/>
                                <assignment leftValue="Invalid_Loan_Application_Alert/invalidApplicationAlertPart/mor:loanOfficer" rightValue="Loan_Application_Failure/loanApplicationFailurePart/mor:loanOfficer"/>
                                <assignment leftValue="Invalid_Loan_Application_Alert/invalidApplicationAlertPart/mor:reason" rightValue="Loan_Application_Failure/loanApplicationFailurePart/mor:reason"/>
                                <assignment leftValue="Invalid_Loan_Application_Alert/invalidApplicationAlertPart/@mor:eventName" rightValue="Loan_Application_Failure/loanApplicationFailurePart/@mor:eventName"></assignment>
                            </assignments>
                        </outputValue>
                    </map>
                </outboundEvent>
                <outboundEvent displayName="NTB Failure Alert" id="NTB_Failure_Alert" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="NTBFailureAlertPart" id="NTBFailureAlertPart" path="cbe:CommonBaseEvent/mor:ntbFailureAlert" type="mor:ntbFailureAlert"></eventPart>
                    <map>
                        <trigger ref="NTB_Failure"/>
                        <outputValue>
                            <assignments>
                                <assignment leftValue="NTB_Failure_Alert/NTBFailureAlertPart/mor:loanNumber" rightValue="NTB_Status/NTBStatusPart/mor:loanNumber"/>
                                <assignment leftValue="NTB_Failure_Alert/NTBFailureAlertPart/mor:loanOfficer" rightValue="NTB_Status/NTBStatusPart/mor:loanOfficer"/>
                                <assignment leftValue="NTB_Failure_Alert/NTBFailureAlertPart/mor:dateCompleted" rightValue="NTB_Status/NTBStatusPart/mor:dateCompleted"/>
                                <assignment leftValue="NTB_Failure_Alert/NTBFailureAlertPart/mor:dateStarted" rightValue="NTB_Status/NTBStatusPart/mor:dateStarted"/>
                                <assignment leftValue="NTB_Failure_Alert/NTBFailureAlertPart/mor:reason" rightValue="NTB_Status/NTBStatusPart/mor:reason"/>
                                <assignment leftValue="NTB_Failure_Alert/NTBFailureAlertPart/@mor:eventName" rightValue="NTB_Status/NTBStatusPart/@mor:eventName"></assignment>
                            </assignments>
                        </outputValue>
                    </map>
                </outboundEvent>
                <outboundEvent displayName="Print 72 Hour Documents Duration Exceeded Alert" id="Print_72_Hour_Documents_Duration_Exceeded_Alert" rootElement="cbe:CommonBaseEvent">
                    <eventPart displayName="print72HourDocumentsDurationExceededAlertPart" id="print72HourDocumentsDurationExceededAlertPart" path="cbe:CommonBaseEvent/mor:print72HourDocumentsDurationExceededAlert" type="mor:print72HourDocumentsDurationExceededAlert"></eventPart>
                    <map>
                        <trigger ref="Print_72_Hour_Documents_Duration_Exceeded"/>
                        <outputValue>
                            <assignments>
                                <assignment leftValue="Print_72_Hour_Documents_Duration_Exceeded_Alert/print72HourDocumentsDurationExceededAlertPart/mor:dateCompleted" rightValue="Print_72_Hour_Documents/print72HourDocsPart/mor:dateCompleted"/>
                                <assignment leftValue="Print_72_Hour_Documents_Duration_Exceeded_Alert/print72HourDocumentsDurationExceededAlertPart/mor:dateStarted" rightValue="Print_72_Hour_Documents/print72HourDocsPart/mor:dateStarted"/>
                                <assignment leftValue="Print_72_Hour_Documents_Duration_Exceeded_Alert/print72HourDocumentsDurationExceededAlertPart/mor:durationHours" rightValue="decimal(Application_to_Print_72_Hour_Documents_Completed_Hours)"/>
                                <assignment leftValue="Print_72_Hour_Documents_Duration_Exceeded_Alert/print72HourDocumentsDurationExceededAlertPart/mor:loanNumber" rightValue="Print_72_Hour_Documents/print72HourDocsPart/mor:loanNumber"/>
                                <assignment leftValue="Print_72_Hour_Documents_Duration_Exceeded_Alert/print72HourDocumentsDurationExceededAlertPart/mor:loanOfficer" rightValue="Print_72_Hour_Documents/print72HourDocsPart/mor:loanOfficer"/>
                                <assignment leftValue="Print_72_Hour_Documents_Duration_Exceeded_Alert/print72HourDocumentsDurationExceededAlertPart/@mor:eventName" rightValue="Print_72_Hour_Documents/print72HourDocsPart/@mor:eventName"></assignment>
                            </assignments>
                        </outputValue>
                    </map>
                </outboundEvent>
                <metric displayName="Automated Loan Setup Key" id="Automated_Loan_Setup_Key" type="xsd:string" isPartOfKey="true">
                    <map>
                        <outputValue>
                            <singleValue expression="Loan_Application_Upload/loanApplicationUploadPart/mor:loanNumber"/>
                        </outputValue>
                    </map>
                </metric>
                <metric displayName="Fee Compliance" id="Fee_Compliance" type="xsd:decimal">
                    <description/>
                    <map>
                        <outputValue>
                            <singleValue expression="decimal((Fee_Variation_Verification/feeVariationVerificationPart/mor:actualFees div Fee_Variation_Verification/feeVariationVerificationPart/mor:POSFees) * 100)"/>
                        </outputValue>
                    </map>
                    <defaultValue>
                        <singleValue expression="100"/>
                    </defaultValue>
                </metric>
                <metric displayName="Automated Loan Process Date" id="Automated_Loan_Process_Date" type="xsd:date" valueRequired="true">
                    <map>
                        <outputValue>
                            <singleValue expression="date(Loan_Application_Upload/loanApplicationUploadPart/mor:dateStarted)"/>
                        </outputValue>
                    </map>
                    <defaultValue>
                    	<singleValue expression="date('2007-05-05-05:00')"></singleValue>
                    </defaultValue>
                </metric>
                <metric displayName="Application to Print 72 Hour Documents Completed Hours" id="Application_to_Print_72_Hour_Documents_Completed_Hours" type="xsd:decimal">
                    <map>
                        <outputValue>
                            <singleValue expression="((Print_72_Hour_Documents/print72HourDocsPart/mor:dateCompleted - ../aux_Application_Start_Time ) div xs:dayTimeDuration('PT1S')) div 3600"/>
                        </outputValue>
                    </map>
                </metric>
                <metric displayName="Upload to Print 72 Hour Documents Start Hours" id="Upload_to_Print_72_Hour_Documents_Start_Hours" type="xsd:decimal">
                    <map>
                        <outputValue>
                            <singleValue expression="((Print_72_Hour_Documents/print72HourDocsPart/mor:dateStarted - ../aux_Application_Upload_Start_Time) div xs:dayTimeDuration('PT1S')) div 3600"/>
                        </outputValue>
                    </map>
                </metric>
                <metric displayName="Loan Officer" id="Loan_Officer" type="xsd:string" valueRequired="true">
                    <map>
                        <outputValue>
                            <singleValue expression="Loan_Application_Upload/loanApplicationUploadPart/mor:loanOfficer"/>
                        </outputValue>
                    </map>
                    <defaultValue>
                        <singleValue expression="string(&quot;undefined&quot;)"/>
                    </defaultValue>
                </metric>
                <counter displayName="NTB Failure Counter" id="NTB_Failure_Counter" type="xsd:integer">
                    <incrementedWhen ref="NTB_Failure"/>
                </counter>
                <counter displayName="Invalid Application Counter" id="Invalid_Application_Counter" type="xsd:integer">
                    <incrementedWhen ref="Invalid_Loan_Application"/>
                </counter>
                <counter displayName="Print 72 Hour Document Failure Counter" id="Print_72_Hour_Document_Failure_Counter" type="xsd:integer">
                    <incrementedWhen ref="Print_72_Hour_Documents_Duration_Exceeded"/>
                </counter>
                <counter displayName="Fee Compliance Alert Counter" id="Fee_Compliance_Alert_Counter" type="xsd:integer">
                    <incrementedWhen ref="Fee_Compliance_Variation_Exceeded"/>
                </counter>
            </monitoringContext>
        </monitoringContext>
    </monitorDetailsModel>
    <kpiModel displayName="MortgageLending" id="KM">
        <kpiContext displayName="Mortgage Lending Process KPIs" id="Mortgage_Lending_Process_KPIs">
            <kpi displayName="Loans Completed ($) - [M]" id="Monthly_Total_of_Completed_Loan_Dollars" type="xsd:decimal" rangeType="actualValue">
                <description/>
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="600000"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="200000"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="200000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="400000"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="400000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="600000"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="600000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="800000"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="800000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1000000"></endValue>
                </range>
            </kpi>
            <kpi displayName="Loans Completed ($) - [Y]" id="Yearly_Total_of_Completed_Loan_Dollars" type="xsd:decimal" rangeType="actualValue">
                <description/>
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="7000000"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1250000"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="1250000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="3500000"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="3500000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="5500000"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="5500000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="7500000"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="7500000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="10000000"></endValue>
                </range>
            </kpi>
            <kpi displayName="Loans Completed - [M]" id="Monthly_Number_of_Completed_Loans" type="xsd:decimal" rangeType="actualValue">
                <description/>
                <aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="14"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="4"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="4"></startValue>
                	<endValue displayName="endValue" id="endValue" value="7"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="7"></startValue>
                	<endValue displayName="endValue" id="endValue" value="10"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="10"></startValue>
                	<endValue displayName="endValue" id="endValue" value="15"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="15"></startValue>
                	<endValue displayName="endValue" id="endValue" value="20"></endValue>
                </range>
            </kpi>
            <kpi displayName="Max. Completed Loan ($) - [M]" id="Monthly_Maximum_Completed_Loan_Amount" type="xsd:decimal" rangeType="actualValue">
                <description/>
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Min. Completed Loan ($) - [M]" id="Monthly_Minimum_Completed_Loan_Amount" type="xsd:decimal" rangeType="actualValue">
                <description/>
                <aggregatedDefinition aggregationType="min" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Completed Loan ($) - [Y]" id="Yearly_Maximum_Completed_Loan_Amount" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Min. Completed Loan ($) - [M]" id="Yearly_Minimum_Completed_Loan_Amount" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="min" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Loans Completed - [Y]" id="Yearly_Number_of_Completed_Loans" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Amount"/>
                    <metricFilter ref="Current_Lending_Process_State" operator="equals">
                    	<value expression="'Lending Process Completed'"></value>
                    </metricFilter>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="168"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="50"></startValue>
                	<endValue displayName="endValue" id="endValue" value="95"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="95"></startValue>
                	<endValue displayName="endValue" id="endValue" value="125"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="125"></startValue>
                	<endValue displayName="endValue" id="endValue" value="145"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="145"></startValue>
                	<endValue displayName="endValue" id="endValue" value="175"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="175"></startValue>
                	<endValue displayName="endValue" id="endValue" value="200"></endValue>
                </range>
            </kpi>
            <kpi displayName="Total Applications ($) - [M]" id="Monthly_Total_of_Application_Loan_Dollars" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_Loan_Amount"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="1000000"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="250000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="450000"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="450000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="700000"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="700000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="950000"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="950000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1250000"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="1250000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1500000"></endValue>
                </range>
            </kpi>
            <kpi displayName="Total Applications ($) - [Y]" id="Yearly_Total_of_Application_Loan_Dollars" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_Loan_Amount"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="22000000"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="9000000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="12500000"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="12500000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="16000000"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="16000000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="20000000"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="20000000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="23000000"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="23000000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="25000000"></endValue>
                </range>
            </kpi>
            <kpi displayName="Max. Loan $/day - [M]" id="Monthly_Maximum_Loan_Dollars_per_Processing_Day" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Dollars_per_Processing_Day"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="12000"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="3000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="4500"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="4500"></startValue>
                	<endValue displayName="endValue" id="endValue" value="7000"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="7000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="11000"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="11000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="13000"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="13000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="15000"></endValue>
                </range>
            </kpi>
            <kpi displayName="Max. Loan $/day - [Y]" id="Yearly_Maximum_Loan_Dollars_per_Processing_Day" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Completed_Loan_Dollars_per_Processing_Day"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="22000"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="6000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="14000"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="14000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="21500"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="21500"></startValue>
                	<endValue displayName="endValue" id="endValue" value="26000"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="26000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="31000"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="31000"></startValue>
                	<endValue displayName="endValue" id="endValue" value="40000"></endValue>
                </range>
            </kpi>
            <kpi displayName="Max. Manual Underwriting Hours After Upload - [M]" id="Monthly_Maximum_Upload_to_Manual_Underwriting_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_Manual_Underwriting_Hours"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Ready to Close Days  After Upload - [M]" id="Monthly_Maximum_Upload_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_Ready_to_Close_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Funding Complete Days  After Upload - [M]" id="Monthly_Maximum_Upload_to_Funded_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_Funded_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Hours to Begin Processing  After Upload - [M]" id="Monthly_Maximum_Upload_to_In_Process_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_In_Process_Duration_Hours"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Days to Complete Funding  After Upload - [M]" id="Monthly_Maximum_Application_to_Funded_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_to_Funded_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Ready to Close Days After Application- [M]" id="Monthly_Maximum_Application_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_to_Ready_to_Close_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Upload Hours After Application - [M]" id="Monthly_Maximum_Application_to_Upload_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_to_Upload_Duration"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. In Process Days - [M]" id="Monthly_Maximum_In_Process_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="In_Process_to_Ready_to_Close_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Manual Underwriting Days - [M]" id="Monthly_Maximum_Manual_Underwriting_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Manual_Underwriting_to_Ready_to_Close_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Finalize Closing Days - [M]" id="Monthly_Maximum_Ready_to_Close_to_Closed_Duration_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Ready_to_Close_to_Closed_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Manual Underwriting Hours After Upload - [Y]" id="Yearly_Maximum_Upload_to_Manual_Underwriting_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_Manual_Underwriting_Hours"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Ready to Close Days  After Upload - [Y]" id="Yearly_Maximum_Upload_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_Ready_to_Close_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Funding Complete Days  After Upload - [Y]" id="Yearly_Maximum_Upload_to_Funded_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_Funded_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Hours to Begin Processing  After Upload - [Y]" id="Yearly_Maximum_Upload_to_In_Process_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Upload_to_In_Process_Duration_Hours"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Days to Complete Funding After Appliation -[Y]" id="Yearly_Maximum_Application_to_Funded_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_to_Funded_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Ready to Close Days After Application- [Y]" id="Yearly_Maximum_Application_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_to_Ready_to_Close_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Ready to Close Days After Application- [Y]" id="Yearly_Maximum_Application_to_Upload_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Application_to_Upload_Duration"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. In Process Days - [Y]" id="Yearly_Maximum_In_Process_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="In_Process_to_Ready_to_Close_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Manual Underwriting Days - [Y]" id="Yearly_Maximum_Manual_Underwriting_to_Ready_to_Close_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Manual_Underwriting_to_Ready_to_Close_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. Finalize Closing Days - [Y]" id="Yearly_Maximum_Ready_to_Close_to_Closed_Duration_Days" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC"/>
                    <metric ref="Ready_to_Close_to_Closed_Duration_Days"/>
                    <dateTimeMetricFilter ref="Date_Started">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Total Completed Loans" id="Total_Completed_Loans" rangeType="actualValue" type="xsd:decimal">
            	<description>Total Number of Completed Loans</description>
            	<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
            		<monitoringContext ref="Mortgage_Lending_BAM_MC"></monitoringContext>
            		<metric ref="MortgageLending_Key"></metric>
            		<metricFilter ref="Current_Lending_Process_State" operator="equals">
            			<value expression="'Lending Process Completed'"></value>
            		</metricFilter>
            	</aggregatedDefinition>
            </kpi>
            <kpi displayName="Average Application Loan Amount ($)" id="Average_Application_Loan_Amount__x0028__x0024__x0029_" rangeType="actualValue" type="xsd:decimal">
            	<description>Average amount of loan.</description>
            	<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
            		<monitoringContext ref="Mortgage_Lending_BAM_MC"></monitoringContext>
            		<metric ref="Application_Loan_Amount"></metric>
            	</aggregatedDefinition>
            </kpi>
        </kpiContext>
        <kpiContext displayName="Automated Loan Setup KPIs" id="Automated_Loan_Setup_KPIs">
            <kpi displayName="Invalid Applications - [M]" id="Monthly_Invalid_Applications" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Invalid_Application_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="2"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="1"></startValue>
                	<endValue displayName="endValue" id="endValue" value="2"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="2"></startValue>
                	<endValue displayName="endValue" id="endValue" value="3"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="3"></startValue>
                	<endValue displayName="endValue" id="endValue" value="4"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="4"></startValue>
                	<endValue displayName="endValue" id="endValue" value="5"></endValue>
                </range>
            </kpi>
            <kpi displayName="NTB Failures - [M]" id="Monthly_NTB_Failures" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="NTB_Failure_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="0.5"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="1"></startValue>
                	<endValue displayName="endValue" id="endValue" value="2"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="2"></startValue>
                	<endValue displayName="endValue" id="endValue" value="3"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="3"></startValue>
                	<endValue displayName="endValue" id="endValue" value="4"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="4"></startValue>
                	<endValue displayName="endValue" id="endValue" value="5"></endValue>
                </range>
            </kpi>
            <kpi displayName="Fee Compliance Failures - [M]" id="Monthly_Fee_Compliance_Failures" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Fee_Compliance_Alert_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="0.5"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="1"></startValue>
                	<endValue displayName="endValue" id="endValue" value="2"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="2"></startValue>
                	<endValue displayName="endValue" id="endValue" value="3"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="3"></startValue>
                	<endValue displayName="endValue" id="endValue" value="4"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="4"></startValue>
                	<endValue displayName="endValue" id="endValue" value="5"></endValue>
                </range>
            </kpi>
            <kpi displayName="72 Hour Doc. Failures - [M]" id="Monthly_Print_72_Hour_Documents_Failures" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Print_72_Hour_Document_Failure_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="2"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="1"></startValue>
                	<endValue displayName="endValue" id="endValue" value="2"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="2"></startValue>
                	<endValue displayName="endValue" id="endValue" value="3"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="3"></startValue>
                	<endValue displayName="endValue" id="endValue" value="4"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="4"></startValue>
                	<endValue displayName="endValue" id="endValue" value="5"></endValue>
                </range>
            </kpi>
            <kpi displayName="Fee Compliance Failures - [Y]" id="Yearly_Fee_Compliance_Failures" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Fee_Compliance_Alert_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="4"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="1"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="1"></startValue>
                	<endValue displayName="endValue" id="endValue" value="3"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="3"></startValue>
                	<endValue displayName="endValue" id="endValue" value="7"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="7"></startValue>
                	<endValue displayName="endValue" id="endValue" value="10"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="10"></startValue>
                	<endValue displayName="endValue" id="endValue" value="12"></endValue>
                </range>
            </kpi>
            <kpi displayName="Invalid Applications - [Y]" id="Yearly_Invalid_Applications" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Invalid_Application_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="24"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="12"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="12"></startValue>
                	<endValue displayName="endValue" id="endValue" value="24"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="24"></startValue>
                	<endValue displayName="endValue" id="endValue" value="36"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="36"></startValue>
                	<endValue displayName="endValue" id="endValue" value="48"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="48"></startValue>
                	<endValue displayName="endValue" id="endValue" value="60"></endValue>
                </range>
            </kpi>
            <kpi displayName="NTB Failures - [Y]" id="Yearly_NTB_Failures" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="NTB_Failure_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="6"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="2"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="2"></startValue>
                	<endValue displayName="endValue" id="endValue" value="4"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="4"></startValue>
                	<endValue displayName="endValue" id="endValue" value="12"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="12"></startValue>
                	<endValue displayName="endValue" id="endValue" value="18"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="18"></startValue>
                	<endValue displayName="endValue" id="endValue" value="24"></endValue>
                </range>
            </kpi>
            <kpi displayName="72 Hour Doc. Failures - [Y]" id="Yearly_Print_72_Hour_Documents_Failures" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Print_72_Hour_Document_Failure_Counter"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
                <target displayName="Target" id="Target" value="12"></target>
                <range displayName="My Range" id="My_Range">
                	<startValue displayName="startValue" id="startValue" value="0"></startValue>
                	<endValue displayName="endValue" id="endValue" value="3"></endValue>
                </range>
                <range displayName="My Range 1" id="My_Range_1">
                	<startValue displayName="startValue" id="startValue" value="3"></startValue>
                	<endValue displayName="endValue" id="endValue" value="6"></endValue>
                </range>
                <range displayName="My Range 2" id="My_Range_2">
                	<startValue displayName="startValue" id="startValue" value="6"></startValue>
                	<endValue displayName="endValue" id="endValue" value="9"></endValue>
                </range>
                <range displayName="My Range 3" id="My_Range_3">
                	<startValue displayName="startValue" id="startValue" value="9"></startValue>
                	<endValue displayName="endValue" id="endValue" value="12"></endValue>
                </range>
                <range displayName="My Range 4" id="My_Range_4">
                	<startValue displayName="startValue" id="startValue" value="12"></startValue>
                	<endValue displayName="endValue" id="endValue" value="15"></endValue>
                </range>
            </kpi>
            <kpi displayName="Max. 72 Hour Doc. Start After Application (hours) - [M]" id="Monthly_Maximum_Application_Upload_to_Print_72_Hour_Documents_Start" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Upload_to_Print_72_Hour_Documents_Start_Hours"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. 72 Hour Doc. Start After Application (hours) - [Y]" id="Yearly_Maximum_Application_Upload_to_Print_72_Hour_Documents_Start" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Upload_to_Print_72_Hour_Documents_Start_Hours"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. 72 Hour Doc. Complete After Application (hours) - [M]" id="Monthly_Maximum_Application_to_Print_72_Hour_Documents_Completion_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Application_to_Print_72_Hour_Documents_Completed_Hours"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="Max. 72 Hour Doc. Complete After Application (hours) - [Y]" id="Yearly_Maximum_Application_to_Print_72_Hour_Documents_Completion_Hours" type="xsd:decimal" rangeType="actualValue">
                <aggregatedDefinition aggregationType="max" versionAggregation="allVersions">
                    <monitoringContext ref="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC"/>
                    <metric ref="Application_to_Print_72_Hour_Documents_Completed_Hours"/>
                    <dateTimeMetricFilter ref="Automated_Loan_Process_Date">
                        <repeatingPeriod periodBasis="periodInProgress" periodType="yearly" timezone="Etc/GMT0"/>
                    </dateTimeMetricFilter>
                </aggregatedDefinition>
            </kpi>
            <kpi displayName="All Failures - [M]" id="All_Failures__x005b_M_x005d_" rangeType="actualValue" type="xsd:decimal">
            	<calculatedDefinition>
            		<kpiCalculation expression="Monthly_Invalid_Applications + Monthly_NTB_Failures + Monthly_Fee_Compliance_Failures + Monthly_Print_72_Hour_Documents_Failures"></kpiCalculation>
            	</calculatedDefinition>
            	<target displayName="Target" id="Target" value="6"></target>
            	<range displayName="My Range" id="My_Range">
            		<startValue displayName="startValue" id="startValue" value="0"></startValue>
            		<endValue displayName="endValue" id="endValue" value="2"></endValue>
            	</range>
            	<range displayName="My Range 1" id="My_Range_1">
            		<startValue displayName="startValue" id="startValue" value="2"></startValue>
            		<endValue displayName="endValue" id="endValue" value="4"></endValue>
            	</range>
            	<range displayName="My Range 2" id="My_Range_2">
            		<startValue displayName="startValue" id="startValue" value="4"></startValue>
            		<endValue displayName="endValue" id="endValue" value="6"></endValue>
            	</range>
            	<range displayName="My Range 3" id="My_Range_3">
            		<startValue displayName="startValue" id="startValue" value="6"></startValue>
            		<endValue displayName="endValue" id="endValue" value="8"></endValue>
            	</range>
            	<range displayName="My Range 4" id="My_Range_4">
            		<startValue displayName="startValue" id="startValue" value="8"></startValue>
            		<endValue displayName="endValue" id="endValue" value="10"></endValue>
            	</range>
            </kpi>
            <kpi displayName="All Failures - [Y]" id="All_Failures_-__x005b_Y_x005d_" rangeType="actualValue" type="xsd:decimal">
            	<calculatedDefinition>
            		<kpiCalculation expression="Yearly_Fee_Compliance_Failures + Yearly_Invalid_Applications + Yearly_NTB_Failures + Yearly_Print_72_Hour_Documents_Failures"></kpiCalculation>
            	</calculatedDefinition>
            	<target displayName="Target" id="Target" value="46"></target>
            	<range displayName="My Range" id="My_Range">
            		<startValue displayName="startValue" id="startValue" value="15"></startValue>
            		<endValue displayName="endValue" id="endValue" value="25"></endValue>
            	</range>
            	<range displayName="My Range 1" id="My_Range_1">
            		<startValue displayName="startValue" id="startValue" value="25"></startValue>
            		<endValue displayName="endValue" id="endValue" value="35"></endValue>
            	</range>
            	<range displayName="My Range 2" id="My_Range_2">
            		<startValue displayName="startValue" id="startValue" value="35"></startValue>
            		<endValue displayName="endValue" id="endValue" value="45"></endValue>
            	</range>
            	<range displayName="My Range 3" id="My_Range_3">
            		<startValue displayName="startValue" id="startValue" value="45"></startValue>
            		<endValue displayName="endValue" id="endValue" value="55"></endValue>
            	</range>
            	<range displayName="My Range 4" id="My_Range_4">
            		<startValue displayName="startValue" id="startValue" value="55"></startValue>
            		<endValue displayName="endValue" id="endValue" value="65"></endValue>
            	</range>
            </kpi>
        </kpiContext>
    </kpiModel>
    <dimensionalModel displayName="MortgageLending DMM" id="DMM">
        <cube displayName="MortgageLending MC Cube" id="MortgageLending_MC_Cube" monitoringContext="Mortgage_Lending_BAM_MC">
            <measure displayName="Total Amount of Application Loans" id="Total_Amount_Of_Application_Loans" aggregationType="sum" source="Application_Loan_Amount">
                <description/>
            </measure>
            <measure displayName="Total Number of Application Loans" id="Total_Number_of_Application_Loans" aggregationType="count" source="Loan_Number"/>
            <measure displayName="Maximum Lending Process Duration" id="Maximum_Lending_Process_Duration" aggregationType="max" source="Lending_Process_Duration_Days"/>
            <measure displayName="Minimum Lending Process Duration" id="Minimum_Lending_Process_Duration" aggregationType="min" source="Lending_Process_Duration_Days"/>
            <measure displayName="Maximum Application Loan Amount" id="Maximum_Application_Loan_Amount" aggregationType="max" source="Application_Loan_Amount"/>
            <measure displayName="Minimum Application Loan Amount" id="Minimum_Application_Loan_Amount" aggregationType="min" source="Application_Loan_Amount"/>
            <measure displayName="Maximum Completed Loan Dollars per Processing Day" id="Maximum_Completed_Loan_Dollars_per_Processing_Day" aggregationType="max" source="Completed_Loan_Dollars_per_Processing_Day"/>
            <measure displayName="Minimum Completed Loan Dollars per Processing Day" id="Minimum_Completed_Loan_Dollars_per_Processing_Day" aggregationType="min" source="Completed_Loan_Dollars_per_Processing_Day"/>
            <measure displayName="Minimum Completed Loan Amount" id="Minimum_Completed_Loan_Amount" aggregationType="min" source="Completed_Loan_Amount"/>
            <measure displayName="Maximum Completed Loan Amount" id="Maximum_Completed_Loan_Amount" aggregationType="max" source="Completed_Loan_Amount"/>
            <measure displayName="Total Number of Completed Loans" id="Total_Number_of_Completed_Loans" aggregationType="count" source="Completed_Loan_Amount">
                <description/>
            </measure>
            <measure displayName="Total Amount of Completed Loans" id="Total_Amount_of_Completed_Loans" aggregationType="sum" source="Completed_Loan_Amount"/>
            <measure displayName="Average Application Loan Amount" id="Average_Application_Loan_Amount" aggregationType="avg" source="Application_Loan_Amount"/>
            <measure displayName="Maximum Automated Loan Setup Duration" id="Maximum_Automated_Loan_Setup_Duration" aggregationType="max" source="Automated_Loan_Setup_Duration_Days"/>
            <measure displayName="Maximum Closing Duration" id="Maximum_Closing_Duration" aggregationType="max" source="Closing_Duration_Days"/>
            <measure displayName="Maximum Processor Validator Duration" id="Maximum_Processor_Validator_Duration" aggregationType="max" source="Processor_Validator_Duration_Days"/>
            <measure displayName="Maximum Underwriting Duration" id="Maximum_Underwriting_Duration" aggregationType="max" source="Underwriting_Duration_Days"/>
            <measure displayName="Maximum Funding Duration" id="Maximum_Funding_Duration" aggregationType="max" source="Funding_Duration_Days"/>
            <measure displayName="Maximum Post Closing Duration" id="Maximum_Post_Closing_Duration" aggregationType="max" source="Post_Closing_Duration_Days"/>
            <measure displayName="Maximum Shipping Duration" id="Maximum_Shipping_Duration" aggregationType="max" source="Shipping_Duration_Days"/>
            <measure displayName="Maximum Upload to Manual Underwriting Hours" id="Maximum_Upload_to_Manual_Underwriting_Hours" aggregationType="max" source="Upload_to_Manual_Underwriting_Hours"/>
            <measure displayName="Maximum Upload to Ready to Close Days" id="Maximum_Upload_to_Ready_to_Close_Days" aggregationType="max" source="Upload_to_Ready_to_Close_Duration_Days"/>
            <measure displayName="Maximum Upload to Funded Days" id="Maximum_Upload_to_Funded_Days" aggregationType="max" source="Upload_to_Funded_Duration_Days"/>
            <measure displayName="Maximum Upload to In Process Hours" id="Maximum_Upload_to_In_Process_Hours" aggregationType="max" source="Upload_to_In_Process_Duration_Hours"/>
            <measure displayName="Maximum Application to Funded Days" id="Maximum_Application_to_Funded_Days" aggregationType="max" source="Application_to_Funded_Duration_Days"/>
            <measure displayName="Maximum Application to Ready to Close Days" id="Maximum_Application_to_Ready_to_Close_Days" aggregationType="max" source="Application_to_Ready_to_Close_Duration_Days"/>
            <measure displayName="Maximum Application to Upload Hours" id="Maximum_Application_to_Upload_Hours" aggregationType="max" source="Application_to_Upload_Duration"/>
            <measure displayName="Maximum In Process to Ready to Close Days" id="Maximum_In_Process_to_Ready_to_Close_Days" aggregationType="max" source="In_Process_to_Ready_to_Close_Duration_Days"/>
            <measure displayName="Maximum Manual Underwriting to Ready to Close Days" id="Maximum_Manual_Underwriting_to_Ready_to_Close_Days" aggregationType="max" source="Manual_Underwriting_to_Ready_to_Close_Days"/>
            <measure displayName="Maximum Ready to Close to Closed Duration Days" id="Maximum_Ready_to_Close_to_Closed_Duration_Days" aggregationType="max" source="Ready_to_Close_to_Closed_Duration_Days"/>
            <dimension displayName="Date" id="Date">
                <attribute displayName="start date" id="start_date" level="1" attributeSource="Date_Started"/>
            </dimension>
            <dimension displayName="loan officer" id="loan_officer">
                <attribute displayName="loan officer" id="loan_officer" level="1" attributeSource="Loan_Officer"/>
            </dimension>
            <dimension displayName="lending process state" id="lending_process_state">
                <attribute displayName="lending process state" id="lending_process_state" level="1" attributeSource="Current_Lending_Process_State"/>
            </dimension>
        </cube>
        <cube displayName="Automated Loan Setup MC Cube" id="Automated_Loan_Setup_MC_Cube" monitoringContext="Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC">
            <measure displayName="NTB Failures" id="NTB_Failures" aggregationType="sum" source="NTB_Failure_Counter"/>
            <measure displayName="Print 72 Hour Document Failures" id="Print_72_Hour_Document_Failures" aggregationType="sum" source="Print_72_Hour_Document_Failure_Counter"/>
            <measure displayName="Fee Compliance Failures" id="Fee_Compliance_Failures" aggregationType="sum" source="Fee_Compliance_Alert_Counter"/>
            <measure displayName="Invalid Applications" id="Invalid_Applications" aggregationType="sum" source="Invalid_Application_Counter"/>
            <measure displayName="Maximum Application Upload to Print 72 Hour Documents Start" id="Maximum_Application_Upload_to_Print_72_Hour_Documents_Start" aggregationType="max" source="Upload_to_Print_72_Hour_Documents_Start_Hours"/>
            <measure displayName="Maximum Application to Print 72 Hour Documents Completion Hours" id="Maximum_Application_to_Print_72_Hour_Documents_Completion_Hours" aggregationType="max" source="Application_to_Print_72_Hour_Documents_Completed_Hours"/>
            <dimension displayName="Date" id="Date">
                <attribute displayName="start date" id="start_date" level="1" attributeSource="Automated_Loan_Process_Date"/>
            </dimension>
            <dimension displayName="loan officer" id="loan_officer">
                <attribute displayName="loan officer" id="loan_officer" level="1" attributeSource="Loan_Officer"/>
            </dimension>
        </cube>
    </dimensionalModel>
    <visualModel id="VM">
        <visualization context="KM/Automated_Loan_Setup_KPIs">
            <svgDocument>
                <import location="/MortgageLendingBAM/MortgageLendingAutomatedLoanSetupAnnotated.svg"/>
            </svgDocument>
        </visualization>
        <visualization context="KM/Mortgage_Lending_Process_KPIs">
            <svgDocument>
                <import location="/MortgageLendingBAM/MortgageLendingOveralHT_BAM.svg"/>
            </svgDocument>
        </visualization>
        <visualization context="MDM/Mortgage_Lending_BAM_MC">
            <svgDocument>
                <import location="/MortgageLendingBAM/MortgageLendingOverviewSimple.svg"/>
            </svgDocument>
        </visualization>
        <visualization context="MDM/Mortgage_Lending_BAM_MC/Automated_Loan_Setup_BAM_MC">
            <actions>
            </actions>
            <svgDocument>
                <import location="/MortgageLendingBAM/MortgageLendingAutomatedLoanSetupAnnotated.svg"/>
            </svgDocument>
        </visualization>
    </visualModel>
    <eventModel id="EM">
        <import location="loanApplicationComplete.cbe"/>
        <import location="automatedLoanSetupComplete.cbe"/>
        <import location="processorValidatorComplete.cbe"/>
        <import location="underwritingComplete.cbe"/>
        <import location="closingComplete.cbe"/>
        <import location="fundingComplete.cbe"/>
        <import location="postClosingComplete.cbe"/>
        <import location="shippingComplete.cbe"/>
        <import location="mortgageLendingProcessCompleteAlert.cbe"/>
        <import location="mortgageLendingProcessEvent.cbe"/>
        <import location="NTBFailureAlert.cbe"/>
        <import location="NTBStatus.cbe"/>
        <import location="loanApplicationFailure.cbe"/>
        <import location="print72HourDocs.cbe"/>
        <import location="feeVariationVerification.cbe"/>
        <import location="feeComplianceAlert.cbe"/>
        <import location="loanApplicationUpload.cbe"/>
        <import location="print72HourDocumentsDurationExceededAlert.cbe"/>
        <import location="mortgageLendingProcessStart.cbe"/>
        <import location="invalidAppplicationAlert.cbe"/>
        <import location="events/WBI.MonitoringEvent.cbe"/>
        <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
        <import location="LoanEvents.xsd" namespace="http://MortgageLendingBAMModel"></import>
    </eventModel>
</mm:monitor>
